    @function min($value1, $value2) {
        @if $value1 > $value2 {
            @return $value2;
        }
        @else if $value2 > $value1 {
            @return $value1;
        }
        @return $value1;
    }

    @function max($value1, $value2) {
        @if $value1 > $value2 {
            @return $value1;
        }
        @else if $value2 > $value1 {
            @return $value2;
        }
        @return $value1;
    }

    @function top($box) {
        @return parsebox($box, 1);
    }
    @function right($box) {
        @return parsebox($box, 2);
    }
    @function bottom($box) {
        @return parsebox($box, 3);
    }
    @function left($box) {
        @return parsebox($box, 4);
    }
    @function vertical($box) {
        @return top($box) + bottom($box);
    }
    @function horizontal($box) {
        @return left($box) + right($box);
    }
    @function boxmax($box) {
        @return max(max(top($box), right($box)), max(bottom($box), left($box)));
    }
    @function boxmin($box) {
        @return min(min(top($box), right($box)), min(bottom($box), left($box)));
    }